FreeMat

- Main Page
- Related Pages

vtkPropCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkPropCollection represents and provides methods to manipulate a list of Props (i.e., vtkProp and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkPropCollection, simply invoke its constructor as follows

      obj = vtkPropCollection

# Methods

The class vtkPropCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPropCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPropCollection = obj.NewInstance ()`
- `vtkPropCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkProp a)` - Add an Prop to the list.
- `vtkProp = obj.GetNextProp ()` - Get the next Prop in the list.
- `vtkProp = obj.GetLastProp ()` - Get the last Prop in the list.
- `int = obj.GetNumberOfPaths ()` - Get the number of paths contained in this list. (Recall that a vtkProp can consist of multiple parts.) Used in picking and other activities to get the parts of composite entities like vtkAssembly or vtkPropAssembly.